<?php
/**
 * Weight Loss Center functions and definitions
 *
 * @package Weight Loss Center
 * @subpackage weight_loss_center
 */

function weight_loss_center_setup() {

	load_theme_textdomain( 'weight-loss-center', get_template_directory() . '/language' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'title-tag' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'weight-loss-center-featured-image', 2000, 1200, true );
	add_image_size( 'weight-loss-center-thumbnail-avatar', 100, 100, true );

	// Set the default content width.
	$GLOBALS['content_width'] = 525;

	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		'primary-menu'    => __( 'Primary Menu', 'weight-loss-center' ),
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
		'flex-height'  => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );

	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_theme_support( 'html5', array('comment-form','comment-list','gallery','caption',) );

	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, and column width.
 	 */
	add_editor_style( array( 'assets/css/editor-style.css', weight_loss_center_fonts_url() ) );

	add_theme_support( 'custom-header', apply_filters( 'weight_loss_center_custom_header_args', array(
        'default-text-color' => 'fff',
        'header-text'        => false,
        'width'              => 1600,
        'height'             => 350,
        'flex-width'         => true,
        'flex-height'        => true,
        'wp-head-callback'   => 'weight_loss_center_header_style',
        'default-image'      => get_template_directory_uri() . '/assets/images/sliderimage.png',
    ) ) );

	/**
	 * Implement the Custom Header feature.
	 */
	require get_parent_theme_file_path( '/inc/custom-header.php' );

}
add_action( 'after_setup_theme', 'weight_loss_center_setup' );

/**
 * Register custom fonts.
 */
function weight_loss_center_fonts_url(){
	$weight_loss_center_font_url = '';
	$weight_loss_center_font_family = array();
	$weight_loss_center_font_family[] = 'Inter:wght@100;200;300;400;500;600;700;800;900';
	$weight_loss_center_font_family[] = 'Bebas Neue';

	$weight_loss_center_font_family[] = 'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Bad Script';
	$weight_loss_center_font_family[] = 'Bebas Neue';
	$weight_loss_center_font_family[] = 'Fjalla One';
	$weight_loss_center_font_family[] = 'PT Sans:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'PT Serif:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900';
	$weight_loss_center_font_family[] = 'Roboto Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$weight_loss_center_font_family[] = 'Alex Brush';
	$weight_loss_center_font_family[] = 'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Playball';
	$weight_loss_center_font_family[] = 'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Julius Sans One';
	$weight_loss_center_font_family[] = 'Arsenal:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'Slabo 13px';
	$weight_loss_center_font_family[] = 'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900';
	$weight_loss_center_font_family[] = 'Overpass Mono:wght@300;400;500;600;700';
	$weight_loss_center_font_family[] = 'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900';
	$weight_loss_center_font_family[] = 'Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900';
	$weight_loss_center_font_family[] = 'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$weight_loss_center_font_family[] = 'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700';
	$weight_loss_center_font_family[] = 'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$weight_loss_center_font_family[] = 'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$weight_loss_center_font_family[] = 'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Quicksand:wght@300;400;500;600;700';
	$weight_loss_center_font_family[] = 'Padauk:wght@400;700';
	$weight_loss_center_font_family[] = 'Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$weight_loss_center_font_family[] = 'Inconsolata:wght@200;300;400;500;600;700;800;900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$weight_loss_center_font_family[] = 'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$weight_loss_center_font_family[] = 'Pacifico';
	$weight_loss_center_font_family[] = 'Indie Flower';
	$weight_loss_center_font_family[] = 'VT323';
	$weight_loss_center_font_family[] = 'Dosis:wght@200;300;400;500;600;700;800';
	$weight_loss_center_font_family[] = 'Frank Ruhl Libre:wght@300;400;500;700;900';
	$weight_loss_center_font_family[] = 'Fjalla One';
	$weight_loss_center_font_family[] = 'Figtree:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Oxygen:wght@300;400;700';
	$weight_loss_center_font_family[] = 'Arvo:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'Noto Serif:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'Lobster';
	$weight_loss_center_font_family[] = 'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700';
	$weight_loss_center_font_family[] = 'Yanone Kaffeesatz:wght@200;300;400;500;600;700';
	$weight_loss_center_font_family[] = 'Anton';
	$weight_loss_center_font_family[] = 'Libre Baskerville:ital,wght@0,400;0,700;1,400';
	$weight_loss_center_font_family[] = 'Bree Serif';
	$weight_loss_center_font_family[] = 'Gloria Hallelujah';
	$weight_loss_center_font_family[] = 'Abril Fatface';
	$weight_loss_center_font_family[] = 'Varela Round';
	$weight_loss_center_font_family[] = 'Vampiro One';
	$weight_loss_center_font_family[] = 'Shadows Into Light';
	$weight_loss_center_font_family[] = 'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$weight_loss_center_font_family[] = 'Rokkitt:wght@100;200;300;400;500;600;700;800;900';
	$weight_loss_center_font_family[] = 'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Francois One';
	$weight_loss_center_font_family[] = 'Orbitron:wght@400;500;600;700;800;900';
	$weight_loss_center_font_family[] = 'Patua One';
	$weight_loss_center_font_family[] = 'Acme';
	$weight_loss_center_font_family[] = 'Satisfy';
	$weight_loss_center_font_family[] = 'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700';
	$weight_loss_center_font_family[] = 'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'Architects Daughter';
	$weight_loss_center_font_family[] = 'Russo One';
	$weight_loss_center_font_family[] = 'Monda:wght@400;700';
	$weight_loss_center_font_family[] = 'Righteous';
	$weight_loss_center_font_family[] = 'Lobster Two:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'Hammersmith One';
	$weight_loss_center_font_family[] = 'Courgette';
	$weight_loss_center_font_family[] = 'Permanent Marke';
	$weight_loss_center_font_family[] = 'Cherry Swash:wght@400;700';
	$weight_loss_center_font_family[] = 'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700';
	$weight_loss_center_font_family[] = 'Poiret One';
	$weight_loss_center_font_family[] = 'BenchNine:wght@300;400;700';
	$weight_loss_center_font_family[] = 'Economica:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'Handlee';
	$weight_loss_center_font_family[] = 'Cardo:ital,wght@0,400;0,700;1,400';
	$weight_loss_center_font_family[] = 'Alfa Slab One';
	$weight_loss_center_font_family[] = 'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$weight_loss_center_font_family[] = 'Cookie';
	$weight_loss_center_font_family[] = 'Chewy';
	$weight_loss_center_font_family[] = 'Great Vibes';
	$weight_loss_center_font_family[] = 'Coming Soon';
	$weight_loss_center_font_family[] = 'Philosopher:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'Days One';
	$weight_loss_center_font_family[] = 'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Shrikhand';
	$weight_loss_center_font_family[] = 'Tangerine:wght@400;700';
	$weight_loss_center_font_family[] = 'IM Fell English SC';
	$weight_loss_center_font_family[] = 'Boogaloo';
	$weight_loss_center_font_family[] = 'Bangers';
	$weight_loss_center_font_family[] = 'Fredoka One';
	$weight_loss_center_font_family[] = 'Volkhov:ital,wght@0,400;0,700;1,400;1,700';
	$weight_loss_center_font_family[] = 'Shadows Into Light Two';
	$weight_loss_center_font_family[] = 'Marck Script';
	$weight_loss_center_font_family[] = 'Sacramento';
	$weight_loss_center_font_family[] = 'Unica One';
	$weight_loss_center_font_family[] = 'Dancing Script:wght@400;500;600;700';
	$weight_loss_center_font_family[] = 'Exo 2:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$weight_loss_center_font_family[] = 'DM Serif Display:ital@0;1';
	$weight_loss_center_font_family[] = 'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800';
	
	$weight_loss_center_query_args = array(
		'family'	=> rawurlencode(implode('|',$weight_loss_center_font_family)),
	);
	$weight_loss_center_font_url = add_query_arg($weight_loss_center_query_args,'//fonts.googleapis.com/css');
	return $weight_loss_center_font_url;
	$contents = weight_loss_center_wptt_get_web_font_url( esc_url_raw( $weight_loss_center_font_url ) );
}

/**
 * Register widget area.
 */
function weight_loss_center_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'weight-loss-center' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'weight-loss-center' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'weight-loss-center' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'weight-loss-center' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'weight-loss-center' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'weight-loss-center' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'weight-loss-center' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'weight-loss-center' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'weight-loss-center' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'weight-loss-center' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'weight-loss-center' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'weight-loss-center' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'weight-loss-center' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'weight-loss-center' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'weight_loss_center_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function weight_loss_center_scripts() {
	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'weight-loss-center-fonts', weight_loss_center_fonts_url(), array(), null );

	// Bootstrap
	wp_enqueue_style( 'bootstrap-css', get_theme_file_uri( '/assets/css/bootstrap.css' ) );

	// Theme stylesheet.
	wp_enqueue_style( 'weight-loss-center-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/tp-theme-color.php' );
	wp_add_inline_style( 'weight-loss-center-style',$weight_loss_center_tp_theme_css );
	require get_parent_theme_file_path( '/tp-body-width-layout.php' );
	wp_add_inline_style( 'weight-loss-center-style',$weight_loss_center_tp_theme_css );
	wp_style_add_data('weight-loss-center-style', 'rtl', 'replace');

	// Theme block stylesheet.
	wp_enqueue_style( 'weight-loss-center-block-style', get_theme_file_uri( '/assets/css/blocks.css' ), array( 'weight-loss-center-style' ), '1.0' );

	// Fontawesome
	wp_enqueue_style( 'fontawesome-css', get_theme_file_uri( '/assets/css/fontawesome-all.css' ) );

	wp_enqueue_script( 'bootstrap-js', get_theme_file_uri( '/assets/js/bootstrap.js' ), array( 'jquery' ), true );
	
	wp_enqueue_script( 'weight-loss-center-custom-scripts', esc_url( get_template_directory_uri() ) . '/assets/js/weight-loss-center-custom.js', array('jquery'), true);

	wp_enqueue_script( 'weight-loss-center-focus-nav', esc_url( get_template_directory_uri() ) . '/assets/js/focus-nav.js', array('jquery'), true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
	
	$weight_loss_center_body_font_family = get_theme_mod('weight_loss_center_body_font_family', '');

	$weight_loss_center_heading_font_family = get_theme_mod('weight_loss_center_heading_font_family', '');

	$weight_loss_center_menu_font_family = get_theme_mod('weight_loss_center_menu_font_family', '');

	$weight_loss_center_button_font_family = get_theme_mod('weight_loss_center_button_font_family', '');

	$weight_loss_center_tp_theme_css = '
		body{
		    font-family: '.esc_html($weight_loss_center_body_font_family).';
		}
		h1{
		    font-family: '.esc_html($weight_loss_center_heading_font_family).';
		}
		h2{
		    font-family: '.esc_html($weight_loss_center_heading_font_family).';
		}
		h3{
		    font-family: '.esc_html($weight_loss_center_heading_font_family).';
		}
		h4{
		    font-family: '.esc_html($weight_loss_center_heading_font_family).';
		}
		h5{
		    font-family: '.esc_html($weight_loss_center_heading_font_family).';
		}
		h6{
		    font-family: '.esc_html($weight_loss_center_heading_font_family).';
		}
		#theme-sidebar .wp-block-search .wp-block-search__label{
		    font-family: '.esc_html($weight_loss_center_heading_font_family).';
		}
		.main-navigation a{
		    font-family: '.esc_html($weight_loss_center_menu_font_family).';
		}
		button[type="submit"],a.top-btn:hover,.top-btn,.more-btn a,.wc-block-cart__submit-container a,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.wc-block-checkout__actions_row .wc-block-components-checkout-place-order-button,span.meta-nav,.error-404 [type="submit"],#theme-sidebar button[type="submit"],#footer button[type="submit"],#comments input[type="submit"],.woocommerce ul.products li.product .onsale,.woocommerce span.onsale{
		    font-family: '.esc_html($weight_loss_center_button_font_family).';
		}
	';
	wp_add_inline_style('weight-loss-center-style', $weight_loss_center_tp_theme_css);
}
add_action( 'wp_enqueue_scripts', 'weight_loss_center_scripts' );

//Admin Enqueue for Admin
function weight_loss_center_admin_enqueue_scripts(){
	wp_enqueue_style('weight-loss-center-admin-style', get_template_directory_uri() . '/assets/css/admin.css');
	wp_enqueue_script( 'weight-loss-center-custom-scripts', get_template_directory_uri(). '/assets/js/custom.js', array('jquery'), true);
	wp_register_script( 'weight-loss-center-admin-script', get_template_directory_uri() . '/assets/js/weight-loss-center-admin.js', array( 'jquery' ), '', true );

	wp_localize_script(
		'weight-loss-center-admin-script',
		'weight_loss_center',
		array(
			'admin_ajax'	=>	admin_url('admin-ajax.php'),
			'wpnonce'			=>	wp_create_nonce('weight_loss_center_dismissed_notice_nonce')
		)
	);
	wp_enqueue_script('weight-loss-center-admin-script');

    wp_localize_script( 'weight-loss-center-admin-script', 'weight_loss_center_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'weight_loss_center_admin_enqueue_scripts' );

/*radio button sanitization*/
function weight_loss_center_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}
// Sanitize Sortable control.
function weight_loss_center_sanitize_sortable( $val, $setting ) {
	if ( is_string( $val ) || is_numeric( $val ) ) {
		return array(
			esc_attr( $val ),
		);
	}
	$sanitized_value = array();
	foreach ( $val as $item ) {
		if ( isset( $setting->manager->get_control( $setting->id )->choices[ $item ] ) ) {
			$sanitized_value[] = esc_attr( $item );
		}
	}
	return $sanitized_value;
}

// Category count 
function weight_loss_center_display_post_category_count() {
    $weight_loss_center_category = get_the_category();
    $weight_loss_center_category_count = ($weight_loss_center_category) ? count($weight_loss_center_category) : 0;
    $weight_loss_center_category_text = ($weight_loss_center_category_count === 1) ? 'category' : 'categories'; // Check for pluralization
    echo $weight_loss_center_category_count . ' ' . $weight_loss_center_category_text;
}

//post tag
function custom_tags_filter($weight_loss_center_tag_list) {
    // Replace the comma (,) with an empty string
    $weight_loss_center_tag_list = str_replace(', ', '', $weight_loss_center_tag_list);

    return $weight_loss_center_tag_list;
}
add_filter('the_tags', 'custom_tags_filter');

function custom_output_tags() {
    $weight_loss_center_tags = get_the_tags();

    if ($weight_loss_center_tags) {
        $weight_loss_center_tags_output = '<div class="post_tag">Tags: ';

        $weight_loss_center_first_tag = reset($weight_loss_center_tags);

        foreach ($weight_loss_center_tags as $tag) {
            $weight_loss_center_tags_output .= '<a href="' . esc_url(get_tag_link($tag)) . '" rel="tag" class="mr-2">' . esc_html($tag->name) . '</a>';
            if ($tag !== $weight_loss_center_first_tag) {
                $weight_loss_center_tags_output .= ' ';
            }
        }

        $weight_loss_center_tags_output .= '</div>';

        echo $weight_loss_center_tags_output;
    }
}

/* Excerpt Limit Begin */
function weight_loss_center_excerpt_function($excerpt_count = 35) {
    $weight_loss_center_excerpt = get_the_excerpt();

    $weight_loss_center_text_excerpt = wp_strip_all_tags($weight_loss_center_excerpt);

    $weight_loss_center_excerpt_limit = esc_attr(get_theme_mod('weight_loss_center_excerpt_count', $excerpt_count));

    $weight_loss_center_theme_excerpt = implode(' ', array_slice(explode(' ', $weight_loss_center_text_excerpt), 0, $weight_loss_center_excerpt_limit));

    return $weight_loss_center_theme_excerpt;
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'weight_loss_center_per_page', 20 );
function weight_loss_center_per_page( $weight_loss_center_cols ) {
  	$weight_loss_center_cols = get_theme_mod( 'weight_loss_center_product_per_page', 9 );
	return $weight_loss_center_cols;
}

function weight_loss_center_sanitize_dropdown_pages( $page_id, $setting ) {
  // Ensure $input is an absolute integer.
  $page_id = absint( $page_id );
  // If $page_id is an ID of a published page, return it; otherwise, return the default.
  return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}
function weight_loss_center_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}
function weight_loss_center_sanitize_number_range( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

function weight_loss_center_sanitize_checkbox( $input ) {
	// Boolean check
	return ( ( isset( $input ) && true == $input ) ? true : false );
}

function weight_loss_center_sanitize_number_absint( $number, $setting ) {
	// Ensure $number is an absolute integer (whole number, zero or greater).
	$number = absint( $number );

	// If the input is an absolute integer, return it; otherwise, return the default
	return ( $number ? $number : $setting->default );
}

/**
 * Use front-page.php when Front page displays is set to a static page.
 */
function weight_loss_center_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template','weight_loss_center_front_page_template' );


/**
 * Logo Custamization.
 */

function weight_loss_center_logo_width(){

	$weight_loss_center_logo_width   = get_theme_mod( 'weight_loss_center_logo_width', 150 );

	echo "<style type='text/css' media='all'>"; ?>
		img.custom-logo{
		    width: <?php echo absint( $weight_loss_center_logo_width ); ?>px;
		    max-width: 100%;
		}
	<?php echo "</style>";
}

add_action( 'wp_ajax_weight_loss_center_dismissed_notice_handler', 'weight_loss_center_ajax_notice_handler' );

function weight_loss_center_ajax_notice_handler() {
	if (!wp_verify_nonce($_POST['wpnonce'], 'weight_loss_center_dismissed_notice_nonce')) {
		exit;
	}
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function weight_loss_center_activation_notice() { 

	if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

    <div class="weight-loss-center-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
        <div class="weight-loss-center-getting-started-notice clearfix">
        	<div class="row-top">
	            <div class="weight-loss-center-theme-notice-content">
	                <h2 class="weight-loss-center-notice-h2">
	                    <?php
	                printf(
	                /* translators: 1: welcome page link starting html tag, 2: welcome page link ending html tag. */
	                    esc_html__( 'Install the Demo Import Plugin now to instantly set up your site like the live preview.', 'weight-loss-center' ), '<strong>'. wp_get_theme()->get('Name'). '</strong>' );
	                ?>
	                </h2>
	                <a class="weight-loss-center-btn-get-started button button-primary button-hero weight-loss-center-button-padding" href="<?php echo esc_url( admin_url( 'themes.php?page=weight-loss-center-about' )); ?>" ><?php esc_html_e( 'Get Started with Weight Loss Center', 'weight-loss-center' ) ?></a>
	            </div>
	            <div class="image-box">
			    	<img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/theme-notice.png' ); ?>" alt="<?php echo esc_attr__( 'Weight Loss Center', 'weight-loss-center' ); ?>" />
				</div>
	        </div>
        </div>
    </div>
<?php }

}
add_action( 'admin_notices', 'weight_loss_center_activation_notice' );

add_action('after_switch_theme', 'weight_loss_center_setup_options');
function weight_loss_center_setup_options () {
    update_option('dismissed-get_started', FALSE );
}


function weight_loss_center_theme_setup() {

	define('WEIGHT_LOSS_CENTER_CREDIT',__('https://www.themespride.com/products/free-weight-loss-wordpress-theme','weight-loss-center') );
	if ( ! function_exists( 'weight_loss_center_credit' ) ) {
		function weight_loss_center_credit(){
			echo "<a href=".esc_url(WEIGHT_LOSS_CENTER_CREDIT)." target='_blank'>".esc_html__(get_theme_mod('weight_loss_center_footer_text',__('Weight Loss Center WordPress Theme','weight-loss-center')))."</a>";
		}
	}

	/**
	 * Custom template tags for this theme.
	 */
	require get_parent_theme_file_path( '/inc/template-tags.php' );

	/**
	 * Additional features to allow styling of the templates.
	 */
	require get_parent_theme_file_path( '/inc/template-functions.php' );

	/**
	 * Customizer additions.
	 */
	require get_parent_theme_file_path( '/inc/customizer.php' );
	/**
	 * About Theme Page
	 */
	require get_parent_theme_file_path( '/inc/about-theme.php' );
	/**
	 * Load Theme Web File
	 */
	require get_parent_theme_file_path('/inc/wptt-webfont-loader.php' );
	/**
	 * Load Toggle file
	 */
	require get_parent_theme_file_path( '/inc/controls/customize-control-toggle.php' );

	/**
	 * load sortable file
	 */
	require get_parent_theme_file_path( '/inc/controls/sortable-control.php' );

	/**
	 * TGM Recommendation
	 */
	require get_parent_theme_file_path( '/inc/TGM/tgm.php' );

}
add_action( 'after_setup_theme', 'weight_loss_center_theme_setup' );
